petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsHasName

Determines whether a certain option is given in the database. This returns true whether the option is a number, string or boolean, even its value is set to false.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsHasName(const char pre[],const char name[],PetscBool  *set)

Not Collective

### Input Parameters

| name | - the option one is seeking
| pre | - string to prepend to the name or NULL

### Output Parameters

set -PETSC_TRUE if found else PETSC_FALSE.

Notes: Name cannot be simply -h

In many cases you probably want to use PetscOptionsGetBool() instead of calling this, to allowing toggling values.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:beginner
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html
src/mat/examples/tutorials/ex16.c.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex6f.F.html
src/ksp/ksp/examples/tutorials/ex11f.F.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/snes/examples/tutorials/ex1.c.html